'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Display = undefined;

var _level = require('./level');

var _browser = require('tnp-core/browser');

var Display = /** @class */function () {
    function Display() {}
    Display.msg = function (message, params, moduleName, moduleColor, level, moduleWidth, isProductionMode) {
        if (isProductionMode) {
            return;
        }
        ;
        var color = 'gray';
        if (level === _level.Level.INFO) {
            color = 'deepskyblue';
        }
        if (level === _level.Level.ERROR) {
            color = 'red';
        }
        if (level === _level.Level.WARN) {
            color = 'orange';
        }
        if (moduleWidth) {
            var diff = moduleWidth - moduleName.length;
            if (diff > 0) {
                for (var i = 0; i < diff; i++) {
                    moduleName += ' ';
                }
            }
        }
        if (_browser.Helpers.isBrowser) {
            var isEdgeOrIe8orAbove = document['documentMode'] || /Edge/.test(navigator.userAgent);
            if (isEdgeOrIe8orAbove) {
                if (typeof message === 'string') {
                    var a1 = '[[ ' + moduleName + ' ]] ' + message + ' ';
                    params.unshift(a1);
                } else {
                    var a1 = '[[ ' + moduleName + ']] ';
                    params.push(message);
                    params.unshift(a1);
                }
                if (level === _level.Level.INFO) {
                    console.info.apply(console, params);
                } else if (level === _level.Level.ERROR) {
                    console.error.apply(console, params);
                } else if (level === _level.Level.WARN) {
                    console.warn.apply(console, params);
                } else {
                    console.log.apply(console, params);
                }
            } else {
                if (typeof message === 'string') {
                    var a1 = '%c ' + moduleName + '  %c ' + message + ' ';
                    var a2 = 'background: ' + moduleColor + ';color:white; border: 1px solid ' + moduleColor + '; ';
                    var a3 = 'border: 1px solid ' + color + '; ';
                    params.unshift(a3);
                    params.unshift(a2);
                    params.unshift(a1);
                } else {
                    var a1 = '%c ' + moduleName + ' ';
                    var a2 = 'background: ' + moduleColor + ';color:white; border: 1px solid ' + color + '; ';
                    params.push(message);
                    params.unshift(a2);
                    params.unshift(a1);
                }
                console.log.apply(console, params);
            }
        }
        if (_browser.Helpers.isNode) {}
    };
    return Display;
}();
exports.Display = Display;